c     IF (ok_mensuelNMC) THEN
      IF (ok_mensuel) THEN
c
       IF(region.EQ.'3d') THEN
         zsto = dtime
cIM 150304 BEG
         zout = dtime * ecrit_mth
c        zout = dtime * REAL(NINT(86400./dtime*ecrit_hf))
cIM 150304 END
cIM 120304 BEG
c       zout = dtime * REAL(NINT(86400./dtime*ecrit_hf))
c       zsto = zout
c       zsto = dtime
cIM 120304 END
       ELSEIF(region.EQ.'1d') THEN
         zsto = dtime
c        zout = dtime
         zout = dtime *4.
       ENDIF
c
         idayref = day_ref
         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
c
         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
         DO i = 1, iim
            zx_lon(i,1) = rlon(i+1)
            zx_lon(i,jjmp1) = rlon(i+1)
         ENDDO
         DO ll=1,klev
            znivsig(ll)=float(ll)
         ENDDO
         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
         CALL histbeg("histNMC.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
c071103
c    .                 1,iim,1,jjmp1, 
     .                 imin_debut,nbpti,
     .                 jmin_debut,nbptj,
c071103
     .                 itau_phy, zjulian, dtime, 
     .                 nhori, nid_nmc)
         write(*,*)'Mensuel NMC ', itau_phy, zjulian
         CALL histvert(nid_nmc, "presnivs", "Vertical levels", "mb",
     .                 klev, presnivs, nvert)
c        call histvert(nid_nmc, 'sig_s', 'Niveaux sigma','-',
c    .              klev, znivsig, nvert)
c
c Champs 2D:

c Champs interpolles sur des niveaux de pression du NMC
c IMIMIM 110304 BEG
c
         DO k=1, nlevSTD
c
         bb=clevSTD(k)
c
         IF(k.GE.2) THEN
          aa=clevSTD(k)
          bb=aa(1:lnblnk1(aa))
         ENDIF 
c
          CALL histdef(nid_nmc, "t"//bb,
     .                 "Temperature"//bb//"mb","K",
     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
         CALL histdef(nid_nmc, "phi"//bb,
     .                "Geopotential"//bb//"mb", "m2/s2",
     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
          CALL histdef(nid_nmc, "q"//bb,
     .                 "Specific humidity"//bb//"mb","kg/kg",
     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
         CALL histdef(nid_nmc, "rh"//bb,
     .                 "Relative humidity"//bb//"mb", "%",
     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
          CALL histdef(nid_nmc, "u"//bb,
     .                 "Zonal wind"//bb//"mb","K",
     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
          CALL histdef(nid_nmc, "v"//bb,
     .                 "Meridional wind"//bb//"mb","K",
     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                "ave(X)", zsto,zout)
c
         ENDDO !nlevSTD
c IMIMIM 110304 END

         CALL histend(nid_nmc)
c
c        ndex2d = 0
c
      ENDIF ! fin de test sur ok_mensuel

